import request from '@/utils/request'

// 查询控制记录列表
export function listControl(query) {
  return request({
    url: '/laboratory/control/list',
    method: 'get',
    params: query
  })
}

// 查询控制记录详细
export function getControl(id) {
  return request({
    url: '/laboratory/control/' + id,
    method: 'get'
  })
}

// 新增控制记录
export function addControl(data) {
  return request({
    url: '/laboratory/control',
    method: 'post',
    data: data
  })
}

// 修改控制记录
export function updateControl(data) {
  return request({
    url: '/laboratory/control',
    method: 'put',
    data: data
  })
}

// 删除控制记录
export function delControl(id) {
  return request({
    url: '/laboratory/control/' + id,
    method: 'delete'
  })
}
